## org.eclipse.emf.ocl.internal.parser
Class CompatibilityEnvironmentFactory

    java.lang.Object
      org.eclipse.ocl.AbstractEnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>
          org.eclipse.ocl.ecore.EcoreEnvironmentFactory
              org.eclipse.emf.ocl.internal.parser.CompatibilityEnvironmentFactory

All Implemented Interfaces:
  EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>, Adaptable

    public class CompatibilityEnvironmentFactory

extends EcoreEnvironmentFactory

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.ocl.EnvironmentFactory
`EnvironmentFactory.Lookup<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>`

Method Summary

`Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`

`createAttributeContext(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent, EStructuralFeature property)`
Creates an environment suitable for parsing OCL expressions on the specified `property`, which is some attribute in the client's metamodel.

`Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`

`createClassifierContext(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent, EClassifier context)`
Creates an environment suitable for parsing OCL expressions in the specified `context`, which is some classifier in the client's model.

`Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>` `createEnvironment()` Creates a root environment, in which package contexts and/or classifier contexts will be created as nested environments.

`Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`

`createEnvironment(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent)`
Creates a child environment of a specified `parent`, for definition of nested scopes.

`EvaluationEnvironment<EClassifier,EOperation,EStructuralFeature,EClass,EObject>` `createEvaluationEnvironment()` Creates a new evaluation environment to track the values of variables in an OCL expression as it is evaluated.

`Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`

`createOperationContext(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent, EOperation operation)`
Creates an environment suitable for parsing OCL expressions on the specified `operation`, which is some operation in the client's metamodel.

`Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`

`createPackageContext(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent, List<String> pathname)`
Creates an environment suitable for parsing OCL expressions in the specified package context.

Methods inherited from class org.eclipse.ocl.ecore.EcoreEnvironmentFactory
`createEvaluationEnvironment, getClassifier, getEPackageRegistry, loadEnvironment, lookupPackage`

Methods inherited from class org.eclipse.ocl.AbstractEnvironmentFactory
`createEvaluationVisitor, createInstanceContext, createPackageContext, getAdapter, isEvaluationTracingEnabled, setEvaluationTracingEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createPackageContext

    public Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> createPackageContext(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent,
                                                                                                                                                                                               List<String> pathname)

  Description copied from interface: `EnvironmentFactory`
  Creates an environment suitable for parsing OCL expressions in the specified package context. This context will become a classifier context when the "self" variable is defined.

  Specified by:
    `createPackageContext` in interface `EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
  Overrides:
    `createPackageContext` in class `AbstractEnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
    `pathname` - the qualified package name (the "::"-separated parts)
  Returns:
    the environment or null if lookup fails to locate a package
  See Also:
    `EnvironmentFactory.createClassifierContext(org.eclipse.ocl.Environment<PK, C, O, P, EL, PM, S, COA, SSA, CT, CLS, E>, C)`, `EnvironmentFactory.createOperationContext(org.eclipse.ocl.Environment<PK, C, O, P, EL, PM, S, COA, SSA, CT, CLS, E>, O)`, `EnvironmentFactory.createAttributeContext(org.eclipse.ocl.Environment<PK, C, O, P, EL, PM, S, COA, SSA, CT, CLS, E>, P)`

### createClassifierContext

    public Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> createClassifierContext(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent,
                                                                                                                                                                                                  EClassifier context)

  Description copied from interface: `EnvironmentFactory`
  Creates an environment suitable for parsing OCL expressions in the specified `context`, which is some classifier in the client's model.

  Specified by:
    `createClassifierContext` in interface `EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
  Overrides:
    `createClassifierContext` in class `AbstractEnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
    `context` - the context classifier
  Returns:
    the environment
  See Also:
    `EnvironmentFactory.createOperationContext(Environment, Object)`, `EnvironmentFactory.createAttributeContext(Environment, Object)`, `EnvironmentFactory.createInstanceContext(Environment, Object)`

### createOperationContext

    public Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> createOperationContext(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent,
                                                                                                                                                                                                 EOperation operation)

  Description copied from interface: `EnvironmentFactory`
  Creates an environment suitable for parsing OCL expressions on the specified `operation`, which is some operation in the client's metamodel. Note that operation contexts can be defined in the context of any classifier to which that operation is applicable.

  Specified by:
    `createOperationContext` in interface `EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
  Overrides:
    `createOperationContext` in class `AbstractEnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
  Parameters:
    `parent` - the parent environment, defining the classifier context
    `operation` - an operation in the client's metamodel
  Returns:
    the environment
  See Also:
    `EnvironmentFactory.createClassifierContext(Environment, Object)`

### createAttributeContext

    public Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> createAttributeContext(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent,
                                                                                                                                                                                                 EStructuralFeature property)

  Description copied from interface: `EnvironmentFactory`
  Creates an environment suitable for parsing OCL expressions on the specified `property`, which is some attribute in the client's metamodel. Note that attribute contexts can be defined in the context of any classifier in which that attribute is available.

  Specified by:
    `createAttributeContext` in interface `EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
  Overrides:
    `createAttributeContext` in class `AbstractEnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
  Parameters:
    `parent` - the parent environment, defining the classifier context
    `property` - an attribute in the client's metamodel
  Returns:
    the environment
  See Also:
    `EnvironmentFactory.createClassifierContext(Environment, Object)`

### createEnvironment

    public Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> createEnvironment()

  Description copied from interface: `EnvironmentFactory`
  Creates a root environment, in which package contexts and/or classifier contexts will be created as nested environments. All operation body constraints, attribute initial/derived value constraints, and definitions of additional attributes and operations should be maintained by the root environment, so that they will be accessible from constraints parsed in any nested environment.

  Specified by:
    `createEnvironment` in interface `EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
  Overrides:
    `createEnvironment` in class `EcoreEnvironmentFactory`
  Returns:
    a new root environment

### createEnvironment

    public Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> createEnvironment(Environment<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject> parent)

  Description copied from interface: `EnvironmentFactory`
  Creates a child environment of a specified `parent`, for definition of nested scopes.

  Specified by:
    `createEnvironment` in interface `EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
  Overrides:
    `createEnvironment` in class `EcoreEnvironmentFactory`
  Parameters:
    `parent` - the parent environment
  Returns:
    the child environment

### createEvaluationEnvironment

    public EvaluationEnvironment<EClassifier,EOperation,EStructuralFeature,EClass,EObject> createEvaluationEnvironment()

  Description copied from interface: `EnvironmentFactory`
  Creates a new evaluation environment to track the values of variables in an OCL expression as it is evaluated.

  Specified by:
    `createEvaluationEnvironment` in interface `EnvironmentFactory<EPackage,EClassifier,EOperation,EStructuralFeature,EEnumLiteral,EParameter,EObject,CallOperationAction,SendSignalAction,Constraint,EClass,EObject>`
  Overrides:
    `createEvaluationEnvironment` in class `EcoreEnvironmentFactory`
  Returns:
    a new evaluation environment

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.